﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel.Composition;

using VidyaVitamin.Plugin;

namespace VidyaVitamin.Plugin.PictureImport
{
	[Export(typeof(IVVTablePlugin))]
	public class PictureImport : IVVTablePlugin
	{
		public Image PluginIcon
		{
			get { return null; }
		}

		public string PluginName
		{
			get { return "Import Picture"; }
		}

		public UserControl SidePanel
		{
			get { return null; }
		}

		public static IVVUtility u;
		public void GetUtility(IVVUtility util)
		{
			u = util;
		}

		public void Exec(IFirebirdTable table)
		{
			PctImpForm pif = new PctImpForm(table);
			if (pif.DialogResult == DialogResult.Cancel) return;
			pif.ShowDialog(u.MainForm);
		}
	}
}
