﻿var posturl = "http://api.postalcode.jp/v1/zipsearch?format=xml&ie=UTF-8&";

simei.attachEvent("lostfocus", onLeaveSimei);
if(isCardForm() == true){
	convpost.attachEvent("click", onClickToAddress);
	convadd.attachEvent("click", onClickToPost);
	bmail.attachEvent("click", onClickMail);
}

function onLeaveSimei()
{
	var sm = simei.value;
	var str = kana.value;
	if(sm.length > 0 && str.length == 0){
		kana.value = StrConv.yomigana(sm);
	}
}

function getAddress(node)
{
	return node.getSingleNode("prefecture").value +
		node.getSingleNode("city").value +
		node.getSingleNode("town").value;
}

function onClickMail()
{
	File.exec("mailto:" + mail.value);
}

function onClickToAddress()
{
	var node = Network.downloadAsXml(posturl + "zipcode=" + post.value);
	if(node == null){
		address.value = "見つかりませんでした";
		return;
	}
	
	var nodes = node.getNodes("address");
	if(nodes.length > 0){
		var add = new Array(nodes.length);
		for(var i = 0; i < nodes.length; i++){
			add[i] = getAddress(nodes[i]);
		}
		
		var result = 0;
		if(add.length > 1){
			result = Dialog.select("複数の選択候補が見つかりました", add, "郵便番号→住所変換");
		}
		if(result != -1) address.value = add[result];
	}
}

function onClickToPost()
{
	var node = Network.downloadAsXml(posturl + "word=" + encodeURI(address.value));
	if(node == null){
		address.value = "見つかりませんでした";
		return;
	}
	
	var nodes = node.getNodes("address");
	if(nodes.length > 0){
		var zipcode = new Array(nodes.length);
		var zipcandi = new Array(nodes.length);
		for(var i = 0; i < nodes.length; i++){
			zipcode[i] = nodes[i].getSingleNode("zipcode").value;
			zipcandi[i] = zipcode[i] + " (" + getAddress(nodes[i]) + ")";
		}
		
		var result = 0;
		if(zipcode.length > 1){
			result = Dialog.select("複数の選択候補が見つかりました", zipcandi, "住所→郵便番号変換");
		}
		if(result != -1) post.value = zipcode[result];
	}
}
